<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:19 CEST 2016 -->
<title>FrameReader</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FrameReader";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FrameReader.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../aasbo/frames/FrameWriter.html" title="class in aasbo.frames"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aasbo/frames/FrameReader.html" target="_top">Frames</a></li>
<li><a href="FrameReader.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">aasbo.frames</div>
<h2 title="Class FrameReader" class="title">Class FrameReader</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>aasbo.frames.FrameReader</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FrameReader</span>
extends java.lang.Object</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>hans
 Klasse som tolker data fra en klient og responderer på disse.</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.net.Socket</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/frames/FrameReader.html#connection">connection</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/frames/FrameReader.html#opcode">opcode</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.io.InputStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/frames/FrameReader.html#stream">stream</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../aasbo/frames/FrameReader.html#FrameReader-java.net.Socket-">FrameReader</a></span>(java.net.Socket&nbsp;socket)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/frames/FrameReader.html#read--">read</a></span>()</code>
<div class="block">Lytter etter meldinger fra klienten, støtter enkeltmedlinger på opptil 64kb, støtter også de aller fleste kontrollrammer samt continuation 
 Støtter ikke binærdata.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/frames/FrameReader.html#recursiveCall-java.lang.String-">recursiveCall</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Hjelpemetode for konkatenering i tilfelle continuation ramme.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aasbo/frames/FrameReader.html#translate-boolean-">translate</a></span>(boolean&nbsp;fin)</code>
<div class="block">Hjelpemetode for å      oversette lest data til ferdig streng.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="stream">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stream</h4>
<pre>private&nbsp;java.io.InputStream stream</pre>
</li>
</ul>
<a name="opcode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>opcode</h4>
<pre>private&nbsp;int opcode</pre>
</li>
</ul>
<a name="connection">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>connection</h4>
<pre>private&nbsp;java.net.Socket connection</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FrameReader-java.net.Socket-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FrameReader</h4>
<pre>public&nbsp;FrameReader(java.net.Socket&nbsp;socket)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>socket</code> - tilkoblingen til klienten.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="read--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public&nbsp;java.lang.String&nbsp;read()
                      throws <a href="../../aasbo/exceptions/NotMaskedException.html" title="class in aasbo.exceptions">NotMaskedException</a>,
                             <a href="../../aasbo/exceptions/UnsupportedPayloadDataException.html" title="class in aasbo.exceptions">UnsupportedPayloadDataException</a>,
                             <a href="../../aasbo/exceptions/ConnectionClosedException.html" title="class in aasbo.exceptions">ConnectionClosedException</a>,
                             java.io.IOException,
                             <a href="../../aasbo/exceptions/PingException.html" title="class in aasbo.exceptions">PingException</a>,
                             <a href="../../aasbo/exceptions/PongException.html" title="class in aasbo.exceptions">PongException</a></pre>
<div class="block">Lytter etter meldinger fra klienten, støtter enkeltmedlinger på opptil 64kb, støtter også de aller fleste kontrollrammer samt continuation 
 Støtter ikke binærdata.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../aasbo/exceptions/NotMaskedException.html" title="class in aasbo.exceptions">NotMaskedException</a></code> - kastes dersom MASK bit er satt til 0</dd>
<dd><code><a href="../../aasbo/exceptions/UnsupportedPayloadDataException.html" title="class in aasbo.exceptions">UnsupportedPayloadDataException</a></code> - Kastes dersom payload består av binærdata.</dd>
<dd><code><a href="../../aasbo/exceptions/ConnectionClosedException.html" title="class in aasbo.exceptions">ConnectionClosedException</a></code> - Kastes dersom det mottas en close ramme</dd>
<dd><code>java.io.IOException</code></dd>
<dd><code><a href="../../aasbo/exceptions/PingException.html" title="class in aasbo.exceptions">PingException</a></code> - Kastes dersom det mottas en ping.</dd>
<dd><code><a href="../../aasbo/exceptions/PongException.html" title="class in aasbo.exceptions">PongException</a></code> - Kastes dersom det mottas en pong.</dd>
</dl>
</li>
</ul>
<a name="translate-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translate</h4>
<pre>private&nbsp;java.lang.String&nbsp;translate(boolean&nbsp;fin)
                            throws java.io.IOException,
                                   <a href="../../aasbo/exceptions/NotMaskedException.html" title="class in aasbo.exceptions">NotMaskedException</a>,
                                   <a href="../../aasbo/exceptions/UnsupportedPayloadDataException.html" title="class in aasbo.exceptions">UnsupportedPayloadDataException</a>,
                                   <a href="../../aasbo/exceptions/ConnectionClosedException.html" title="class in aasbo.exceptions">ConnectionClosedException</a>,
                                   <a href="../../aasbo/exceptions/PingException.html" title="class in aasbo.exceptions">PingException</a>,
                                   <a href="../../aasbo/exceptions/PongException.html" title="class in aasbo.exceptions">PongException</a></pre>
<div class="block">Hjelpemetode for å      oversette lest data til ferdig streng.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fin</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Ferdig dekodet payload.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code><a href="../../aasbo/exceptions/NotMaskedException.html" title="class in aasbo.exceptions">NotMaskedException</a></code></dd>
<dd><code><a href="../../aasbo/exceptions/UnsupportedPayloadDataException.html" title="class in aasbo.exceptions">UnsupportedPayloadDataException</a></code></dd>
<dd><code><a href="../../aasbo/exceptions/ConnectionClosedException.html" title="class in aasbo.exceptions">ConnectionClosedException</a></code></dd>
<dd><code><a href="../../aasbo/exceptions/PingException.html" title="class in aasbo.exceptions">PingException</a></code></dd>
<dd><code><a href="../../aasbo/exceptions/PongException.html" title="class in aasbo.exceptions">PongException</a></code></dd>
</dl>
</li>
</ul>
<a name="recursiveCall-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>recursiveCall</h4>
<pre>private&nbsp;java.lang.String&nbsp;recursiveCall(java.lang.String&nbsp;s)
                                throws <a href="../../aasbo/exceptions/NotMaskedException.html" title="class in aasbo.exceptions">NotMaskedException</a>,
                                       <a href="../../aasbo/exceptions/UnsupportedPayloadDataException.html" title="class in aasbo.exceptions">UnsupportedPayloadDataException</a>,
                                       <a href="../../aasbo/exceptions/ConnectionClosedException.html" title="class in aasbo.exceptions">ConnectionClosedException</a>,
                                       java.io.IOException,
                                       <a href="../../aasbo/exceptions/PingException.html" title="class in aasbo.exceptions">PingException</a>,
                                       <a href="../../aasbo/exceptions/PongException.html" title="class in aasbo.exceptions">PongException</a></pre>
<div class="block">Hjelpemetode for konkatenering i tilfelle continuation ramme.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../aasbo/exceptions/NotMaskedException.html" title="class in aasbo.exceptions">NotMaskedException</a></code></dd>
<dd><code><a href="../../aasbo/exceptions/UnsupportedPayloadDataException.html" title="class in aasbo.exceptions">UnsupportedPayloadDataException</a></code></dd>
<dd><code><a href="../../aasbo/exceptions/ConnectionClosedException.html" title="class in aasbo.exceptions">ConnectionClosedException</a></code></dd>
<dd><code>java.io.IOException</code></dd>
<dd><code><a href="../../aasbo/exceptions/PingException.html" title="class in aasbo.exceptions">PingException</a></code></dd>
<dd><code><a href="../../aasbo/exceptions/PongException.html" title="class in aasbo.exceptions">PongException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FrameReader.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../aasbo/frames/FrameWriter.html" title="class in aasbo.frames"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aasbo/frames/FrameReader.html" target="_top">Frames</a></li>
<li><a href="FrameReader.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
